---
title: Response.statusText
slug: Web/API/Response/statusText
tags:
  - API
  - Experimental
  - Fetch
  - Property
  - Reference
  - Response
  - statusText
---
<div>{{APIRef("Fetch")}}</div>

<p>The <code><strong>statusText</strong></code> read-only property of the {{domxref("Response")}} interface contains the status message corresponding to the status code (e.g., <code>OK</code> for <code>200</code>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myStatusText</var> = <var>response</var>.statusText;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("ByteString")}}.</p>

<p>The default value is "".</p>

<h2 id="Example">Example</h2>

<p>In our <a href="https://github.com/mdn/fetch-examples/tree/gh-pages/fetch-response">Fetch Response example</a> (see <a href="https://mdn.github.io/fetch-examples/fetch-response/">Fetch Response live</a>) we create a new {{domxref("Request")}} object using the {{domxref("Request.Request","Request()")}} constructor, passing it a JPG path. We then fetch this request using {{domxref("GlobalFetch.fetch","fetch()")}}, extract a blob from the response using {{domxref("Body.blob")}}, create an object URL out of it using {{domxref("URL.createObjectURL")}}, and display this in an {{htmlelement("img")}}.</p>

<p>Note that at the top of the <code>fetch()</code> block we log the response <code>statusText</code> value to the console.</p>

<pre class="brush: js">var myImage = document.querySelector('img');

var myRequest = new Request('flowers.jpg');

fetch(myRequest).then(function(response) {
  console.log(response.statusText); // returns "OK" if the response returned successfully
  response.blob().then(function(myBlob) {
    var objectURL = URL.createObjectURL(myBlob);
    myImage.src = objectURL;
  });
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
	<tbody>
		<tr>
			<th scope="col">Specification</th>
			<th scope="col">Status</th>
			<th scope="col">Comment</th>
		</tr>
		<tr>
			<td>{{SpecName('Fetch','#dom-response-statustext','statusText')}}</td>
			<td>{{Spec2('Fetch')}}</td>
			<td>Initial definition</td>
		</tr>
	</tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Response.statusText")}}</p>

<h2 id="See_also">See also</h2>

<ul>
	<li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
	<li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
	<li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
